gsasl_property_set(3)

NAME
gsasl_property_set - API function

SYNOPSIS
#include <gsasl.h>

void gsasl_property_set(Gsasl_session * sctx, Gsasl_property prop, const char * data);

ARGUMENTS

Gsasl_session * sctx
    session handle.

Gsasl_property prop
    enumerated value of Gsasl_property type, indicating the type of data in data.

const char * data
    zero terminated character string to store.

DESCRIPTION
Make a copy of data and store it in the session handle for the indicated property prop.

You can immediately deallocate data after calling this function, without affecting the data stored in the session handle.

SINCE
0.2.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.